QuantLib: QuantoEngine< Instr, Engine > Class Template Reference

A free/open-source library for quantitative finance Reference manual - version 1.20

Public Member Functions | Protected Attributes | List of all members
QuantoEngine< Instr, Engine > Class Template Reference
Pricing engines » Quanto option engines

Quanto engine. More...

`#include <ql/pricingengines/quanto/quantoengine.hpp>`

Inheritance diagram for QuantoEngine< Instr, Engine >:
[legend]

## Public Member Functions
| QuantoEngine (const ext::shared_ptr< GeneralizedBlackScholesProcess > &, const Handle< YieldTermStructure > &foreignRiskFreeRate, const Handle< BlackVolTermStructure > &exchangeRateVolatility, const Handle< Quote > &correlation)
void | calculate () const
Public Member Functions inherited from GenericEngine< Instr::arguments, QuantoOptionResults< Instr::results > >
PricingEngine::arguments * | getArguments () const
const PricingEngine::results * | getResults () const
void | reset ()
void | update ()
Public Member Functions inherited from PricingEngine
virtual arguments * | getArguments () const =0
virtual const results * | getResults () const =0
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const ext::shared_ptr< Observable > &)
void | registerWithObservables (const ext::shared_ptr< Observer > &)
Size | unregisterWith (const ext::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()

## Protected Attributes
ext::shared_ptr< GeneralizedBlackScholesProcess > | process_
Handle< YieldTermStructure > | foreignRiskFreeRate_
Handle< BlackVolTermStructure > | exchangeRateVolatility_
Handle< Quote > | correlation_
Protected Attributes inherited from GenericEngine< Instr::arguments, QuantoOptionResults< Instr::results > >
Instr::arguments | arguments_
QuantoOptionResults< Instr::results > | results_

## Additional Inherited Members
Public Types inherited from Observer
typedef boost::unordered_set< ext::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator

## Detailed Description

### template<class Instr, class Engine>
class QuantLib::QuantoEngine< Instr, Engine >

Quanto engine.

Warning:
  for the time being, this engine will only work with simple Black-Scholes processes (i.e., no Merton.)

Tests:
  - the correctness of the returned value is tested by reproducing results available in literature.
  - the correctness of the returned greeks is tested by reproducing numerical derivatives.